Issue 15872 - Create new useful and cool UNO Web Service Proxy sample(s)
Create new useful and cool UNO Web Service Proxy sample(s)
Status: UNCONFIRMED
Product: udk
Classification: Code
Component: code
OOo 1.1
All All
: P3 trivial (vote)
: ---
Assigned To: AOO issues mailing list
: needhelp
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-06-20 18:49 UTC by erwin.tenhumberg
Modified: 2013-06-02 23:12 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description erwin.tenhumberg 2003-06-20 18:49:29 UTC
Task
--------------------------------------------------------------
Create new useful and cool UNO Web Service Proxy sample(s)


Description
--------------------------------------------------------------
In order to be able to exploit useful Web services and also
demo OpenOffice.org at Web services events more useful and
cool need to be created.

The sample provided with the UNO Web Services Proxy performs a
simple Google search. Other interesting ideas could be:

* stock quote spreadsheet function in Calc
* Web services based dictionaries in Writer
* address/phone book lookup dialog in Writer
* Web services based galery in Impress and Draw


Required Skills
--------------------------------------------------------------
* Java 
* Java Web Services Developer Pack
* OpenOffice.org API (UNO)


Recommended Skills
--------------------------------------------------------------
-/-


Effort
--------------------------------------------------------------
8 weeks part time depending on skills of contributor.


Difficulty
--------------------------------------------------------------
High


Resources
--------------------------------------------------------------
http://udk.openoffice.org/java/examples/wsproxy/component_description.html
http://java.sun.com/webservices/webservicespack.html
http://www.xmethods.com/


Contacts
--------------------------------------------------------------
Erwin Tenhumberg 
(erwin.tenhumberg@sun.com, dancer@openoffice.org)
Comment 1 ace_dent 2008-05-16 02:13:57 UTC
OpenOffice.org Issue Tracker - Feedback Request.

The Issue you raised is currently 'Unconfirmed' pending review, but has not been
updated within the last 3 years. Please consider re-testing with one of the
latest versions of OOo, as the problem(s) may have already been addressed.
Either use the recent stable version: http://download.openoffice.org/index.html
or consider trying the new OOo 3 BETA (still in testing):
http://download.openoffice.org/3.0beta/
 
Please report back the outcome so this Issue may be Closed or Progressed as
necessary - otherwise it may be Resolved as Invalid in the future. You may also
wish to search for (and note) any duplicates of this Issue that may have
advanced further by checking the Issue Tracker:
http://www.openoffice.org/issues/query.cgi
 
Many thanks,
Andrew
 
Cleaning-up and Closing old Issues as part of:
~ The Grand Bug Squash, pre v3 ~
http://marketing.openoffice.org/3.0/announcementbeta.html
Comment 2 Kay 2013-06-02 23:12:45 UTC
Changed to ENHANCEMENT so this won't be tracked as "bug".